> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Suggested Tasks

> Get suggested tasks for the user.

Returns a paginated list of suggested tasks including:
- PRs owned by the user
- Issues assigned to the user



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/git/suggested-tasks/search
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/git/suggested-tasks/search:
    get:
      tags:
        - Git
      summary: Search Suggested Tasks
      description: |-
        Get suggested tasks for the user.

        Returns a paginated list of suggested tasks including:
        - PRs owned by the user
        - Issues assigned to the user
      operationId: search_suggested_tasks_api_v1_git_suggested_tasks_search_get
      parameters:
        - name: page_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Optional next_page_id from the previously returned page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            title: The max number of results in the page
            default: 30
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestedTaskPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SuggestedTaskPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SuggestedTask'
          type: array
          title: Items
        next_page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Id
      type: object
      required:
        - items
      title: SuggestedTaskPage
      description: |-
        Paginated response for suggested tasks.

        Attributes:
            items: List of suggested tasks in the current page.
            next_page_id: ID for the next page, or None if there are no more pages.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SuggestedTask:
      properties:
        git_provider:
          $ref: '#/components/schemas/ProviderType'
        task_type:
          $ref: '#/components/schemas/TaskType'
        repo:
          type: string
          title: Repo
        issue_number:
          type: integer
          title: Issue Number
        title:
          type: string
          title: Title
      type: object
      required:
        - git_provider
        - task_type
        - repo
        - issue_number
        - title
      title: SuggestedTask
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProviderType:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
        - bitbucket_data_center
        - forgejo
        - azure_devops
        - enterprise_sso
      title: ProviderType
    TaskType:
      type: string
      enum:
        - MERGE_CONFLICTS
        - FAILING_CHECKS
        - UNRESOLVED_COMMENTS
        - OPEN_ISSUE
        - OPEN_PR
      title: TaskType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````